Notification > Notification Hub > API v1.0 User Guide > Image Layout
Retrieves a single image layout based on its ID.
Request
GET /image-layout/v1.0/image-layouts/{id}
X-NC-APP-KEY: {appKey}
X-NHN-Authorization: Bearer {accessToken}
Request Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
| X-NC-APP-KEY | Header | String | Y | App Key |
| X-NHN-Authorization | Header | String | Y | Access Token |
| id | Path | String | Y | Image Layout ID |
Request Body
This API does not require a request body.
Response Body
{
"header" : {
"isSuccessful" : true,
"resultCode" : 0,
"resultMessage" : "SUCCESS"
},
"imageLayout" : {
"id" : "A9z0A9z0",
"name" : "2025_Promotion_Coupon",
"backgroundImage" : {
"fileName" : "background.png",
"filePreviewUrl" : "https://example.com/background.png"
},
"cardImage" : {
"fileName" : "cardImage.png",
"filePreviewUrl" : "https://example.com/background.png"
},
"title" : "A #{promotion} gift card from #{user} has arrived.",
"body" : "* Product: Today's Product\n*Expires: Until #{expirydate}\n*Where to use: Online/offline stores (excluding some stores)",
"useBarcode" : true,
"createdDateTime" : "2024-10-29T06:00:01.000+09:00",
"updatedDateTime" : "2024-10-29T06:00:01.000+09:00"
}
}
| Path | Type | Description |
|---|---|---|
| header | Object | |
| header.isSuccessful | Boolean | Indicates whether the request was successful. Default: true |
| header.resultCode | Integer | The result code of the request. Default: 0 |
| header.resultMessage | String | The result message of the request. Default: SUCCESS |
| imageLayout | Object | |
| imageLayout.id | String | Image Layout ID |
| imageLayout.name | String | Image Layout Name |
| imageLayout.backgroundImage | Object | |
| imageLayout.backgroundImage.fileName | String | Background image file name |
| imageLayout.backgroundImage.filePreviewUrl | String | Background image preview URL |
| imageLayout.cardImage | Object | |
| imageLayout.cardImage.fileName | String | Card image file name |
| imageLayout.cardImage.filePreviewUrl | String | Card image preview URL |
| imageLayout.title | String | Title |
| imageLayout.body | String | Body |
| imageLayout.useBarcode | Boolean | Whether to use a barcode |
| imageLayout.createdDateTime | String | Image layout creation date and time |
| imageLayout.updatedDateTime | String | Image layout modification date and time |
Request Example
### Retrieve Image Layout
GET {{endpoint}}/image-layout/v1.0/image-layouts/{{id}}
X-NC-APP-KEY: {appKey}
X-NHN-Authorization: Bearer {accessToken}
curl -X GET "${endpoint}/image-layout/v1.0/image-layouts/${id}" \
-H "X-NC-APP-KEY: {appKey}" \
-H "X-NHN-Authorization: Bearer {accessToken}"
Creates an image layout.
Request
POST /image-layout/v1.0/image-layouts
X-NC-APP-KEY: {appKey}
X-NHN-Authorization: Bearer {accessToken}
Content-Type: multipart/form-data
Request Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
| X-NC-APP-KEY | Header | String | Y | App Key |
| X-NHN-Authorization | Header | String | Y | Access Token |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
| name | String | Y | Image Layout Name |
| backgroundImage | File | Y | Background image file |
| cardImage | File | Y | Card image file |
| title | String | Y | Title |
| body | String | Y | Body |
| useBarcode | Boolean | Y | Whether to use a barcode |
Response Body
{
"header" : {
"isSuccessful" : true,
"resultCode" : 0,
"resultMessage" : "SUCCESS"
},
"id" : "A9z0A9z0"
}
| Path | Type | Description |
|---|---|---|
| header | Object | |
| header.isSuccessful | Boolean | Indicates whether the request was successful. Default: true |
| header.resultCode | Integer | The result code of the request. Default: 0 |
| header.resultMessage | String | The result message of the request. Default: SUCCESS |
| id | String | Image Layout ID |
Request Example
### Create Image Layout
POST {{endpoint}}/image-layout/v1.0/image-layouts
X-NC-APP-KEY: {appKey}
X-NHN-Authorization: Bearer {accessToken}
Content-Type: multipart/form-data
name=image-layout
title=title
body=body
useBarcode=true
backgroundImage=@{{pathToImage}}
cardImage=@{{pathToImage}}
curl -X POST "${endpoint}/image-layout/v1.0/image-layouts" \
-H "X-NC-APP-KEY: {appKey}" \
-H "X-NHN-Authorization: Bearer {accessToken}" \
-H 'Content-Type: multipart/form-data' \
-F "name=image-layout" \
-F "backgroundImage=@{pathToImage}" \
-F "cardImage=@{pathToImage}" \
-F "title=title" \
-F "body=body" \
-F "useBarcode=true"
Deletes an image layout.
Request
DELETE /image-layout/v1.0/image-layouts/{id}
X-NC-APP-KEY: {appKey}
X-NHN-Authorization: Bearer {accessToken}
Request Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
| X-NC-APP-KEY | Header | String | Y | App Key |
| X-NHN-Authorization | Header | String | Y | Access Token |
| id | Path | String | Y | Image Layout ID |
Request Body
This API does not require a request body.
Response Body
{
"header" : {
"isSuccessful" : true,
"resultCode" : 0,
"resultMessage" : "SUCCESS"
}
}
| Path | Type | Description |
|---|---|---|
| header | Object | |
| header.isSuccessful | Boolean | Indicates whether the request was successful. Default: true |
| header.resultCode | Integer | The result code of the request. Default: 0 |
| header.resultMessage | String | The result message of the request. Default: SUCCESS |
Request Example
### Delete Image Layout
DELETE {{endpoint}}/image-layout/v1.0/image-layouts/{{id}}
X-NC-APP-KEY: {appKey}
X-NHN-Authorization: Bearer {accessToken}
curl -X DELETE "${endpoint}/image-layout/v1.0/image-layouts/${id}" \
-H "X-NC-APP-KEY: {appKey}" \
-H "X-NHN-Authorization: Bearer {accessToken}"
Retrieves a list of image layouts.
Request
GET /image-layout/v1.0/image-layouts
X-NC-APP-KEY: {appKey}
X-NHN-Authorization: Bearer {accessToken}
Request Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
| X-NC-APP-KEY | Header | String | Y | App Key |
| X-NHN-Authorization | Header | String | Y | Access Token |
| name | Query | String | N | Image layout name (LIKE search) |
| limit | Query | Integer | N | If limit is not set, default is 20 (max 1000) |
| offset | Query | Integer | N | If offset is not set, default is 0 |
Request Body
This API does not require a request body.
Response Body
{
"header" : {
"isSuccessful" : true,
"resultCode" : 0,
"resultMessage" : "SUCCESS"
},
"totalCount" : 1,
"imageLayouts" : [ {
"id" : "A9z0A9z0",
"name" : "2025_Promotion_Coupon"
} ]
}
| Path | Type | Description |
|---|---|---|
| header | Object | |
| header.isSuccessful | Boolean | Indicates whether the request was successful. Default: true |
| header.resultCode | Integer | The result code of the request. Default: 0 |
| header.resultMessage | String | The result message of the request. Default: SUCCESS |
| totalCount | Integer | Total count |
| imageLayouts | Array | |
| imageLayouts[].id | String | Image Layout ID |
| imageLayouts[].name | String | Image Layout Name |
| imageLayouts[].backgroundImage | Object | |
| imageLayouts[].backgroundImage.fileName | String | Background image file name |
| imageLayouts[].backgroundImage.filePreviewUrl | String | Background image preview URL |
| imageLayouts[].cardImage | Object | |
| imageLayouts[].cardImage.fileName | String | Card image file name |
| imageLayouts[].cardImage.filePreviewUrl | String | Card image preview URL |
| imageLayouts[].title | String | Title |
| imageLayouts[].body | String | Body |
| imageLayouts[].useBarcode | Boolean | Whether to use a barcode |
| imageLayouts[].createdDateTime | String | Image layout creation date and time |
| imageLayouts[].updatedDateTime | String | Image layout modification date and time |
Request Example
### Retrieve Image Layout List
GET {{endpoint}}/image-layout/v1.0/image-layouts
X-NC-APP-KEY: {appKey}
X-NHN-Authorization: Bearer {accessToken}
curl -X GET "${endpoint}/image-layout/v1.0/image-layouts" \
-H "X-NC-APP-KEY: {appKey}" \
-H "X-NHN-Authorization: Bearer {accessToken}"
Updates an image layout. Partial updates are possible by entering only the fields that need modification.
Request
PATCH /image-layout/v1.0/image-layouts/{id}
X-NC-APP-KEY: {appKey}
X-NHN-Authorization: Bearer {accessToken}
Content-Type: multipart/form-data
Request Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
| X-NC-APP-KEY | Header | String | Y | App Key |
| X-NHN-Authorization | Header | String | Y | Access Token |
| id | Path | String | Y | Image Layout ID |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
| name | String | N | Image Layout Name |
| backgroundImage | String | N | Background image file |
| cardImage | String | N | Card image file |
| title | String | N | Title |
| body | String | N | Body |
| useBarcode | Boolean | N | Whether to use a barcode |
Response Body
{
"header" : {
"isSuccessful" : true,
"resultCode" : 0,
"resultMessage" : "SUCCESS"
}
}
| Path | Type | Description |
|---|---|---|
| header | Object | |
| header.isSuccessful | Boolean | Indicates whether the request was successful. Default: true |
| header.resultCode | Integer | The result code of the request. Default: 0 |
| header.resultMessage | String | The result message of the request. Default: SUCCESS |
Request Example
### Update Image Layout
PATCH {{endpoint}}/image-layout/v1.0/image-layouts/{{id}}
X-NC-APP-KEY: {appKey}
X-NHN-Authorization: Bearer {accessToken}
Content-Type: multipart/form-data
name=image-layout
title=title
body=body
useBarcode=true
backgroundImage=@{{pathToImage}}
cardImage=@{{pathToImage}}
curl -X PATCH "${endpoint}/image-layout/v1.0/image-layouts/${id}" \
-H "X-NC-APP-KEY: {appKey}" \
-H "X-NHN-Authorization: Bearer {accessToken}" \
-H 'Content-Type: multipart/form-data' \
-F "name=image-layout" \
-F "backgroundImage=@{pathToImage}" \
-F "cardImage=@{pathToImage}" \
-F "title=title" \
-F "body=body" \
-F "useBarcode=true"